Looks like no one’s replied in a while. To start the conversation again, simply ask a new question.

Question:

Question: how can i download an earlier version of garageband. I need 10.1.6

how can i download an earlier version of garageband. I need 10.1.6. App store only has 10.2 and my Mac is old and has Yosemite installed

GarageBand 10, OS X Yosemite (10.10.5)

Posted on

Reply
Question marked as Solved
Answer:
Answer:

if you click the Purchase button for GarageBand 2.0, does it offer you to install the older version instead? Then try it. If not, there is now no longer a way to get the older version. This is one of the main reasons, why we should update to the newest versions, as soon as they become available. The Mac AppStore is giving us only a small window of opportunity to get the matching software versions of the applications for the current system.


You can get the older GarageBand '11, version 6.0.5 instead. It is still running on Yosemite.

Did your Mac come with iLife Installer disk or a disk with bundled applications? Then try to install garageBand from these disks and update GarageBand to version 6.0.5.

The iLife '11 DVD will probably install an older version of GarageBand '11.

You can update it using this updater: GarageBand 6.0.5

https://support.apple.com/kb/DL1507?viewlocale=en_US&locale=en_US

And the installer may be showing a warning about an expired certificate. In that case set the date of your Mac back to the year, when the installer has been released, while you install the software.

Posted on

Page content loaded

Question marked as Solved

Nov 11, 2017 8:17 PM in response to beff222 In response to beff222

if you click the Purchase button for GarageBand 2.0, does it offer you to install the older version instead? Then try it. If not, there is now no longer a way to get the older version. This is one of the main reasons, why we should update to the newest versions, as soon as they become available. The Mac AppStore is giving us only a small window of opportunity to get the matching software versions of the applications for the current system.


You can get the older GarageBand '11, version 6.0.5 instead. It is still running on Yosemite.

Did your Mac come with iLife Installer disk or a disk with bundled applications? Then try to install garageBand from these disks and update GarageBand to version 6.0.5.

The iLife '11 DVD will probably install an older version of GarageBand '11.

You can update it using this updater: GarageBand 6.0.5

https://support.apple.com/kb/DL1507?viewlocale=en_US&locale=en_US

And the installer may be showing a warning about an expired certificate. In that case set the date of your Mac back to the year, when the installer has been released, while you install the software.

Nov 11, 2017 8:17 PM

Reply Helpful (1)

Nov 11, 2017 8:30 PM in response to léonie In response to léonie

Thanks! There was no option to install an earlier version. imho when you have old hardware then you should still be able to download the latest version of apps for the os that is installed. (my 2c) I did have the old iLife cd and its installing as I type. I completely forgot I had kept that old software - since we do not really need cd's anymore (or so I thought). I did get certificate warnings - I simply set it to "trust" and then it continued. The update needed me to change the date set the certificate to "trust"

Nov 11, 2017 8:30 PM

Reply Helpful
User profile for user: beff222

Question: how can i download an earlier version of garageband. I need 10.1.6